---
updatedAt: 2026-09-29T08:25:15.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get AllDocs results by applicant ID

# Overview

Use this method to get [AllDocs](https://docs.sumsub.com/sumsub/docs/alldocs-verification) results by `applicantId`.

## Required permissions

To use this method:

* Your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View applicant's images in personal data** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).
* Your account must have at least one of these features enabled: **AllDocs**, **full KYB**, or **KYB Auto-OCR**.

Both conditions are required — missing the permission, or having none of the listed features enabled, returns a `403 Forbidden`. If none of these features are enabled for your account, contact your CSM or Sumsub support.

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/applicants/673f34507b66900000000b43/allDocs/docs' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON file that includes structured data from all the documents uploaded to the applicant profile.

| Field         | Type                                     | Description                                                                                                                                                                                                                         |
| :------------ | :--------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `applicantId` | String                                   | Unique applicant identifier in the Sumsub system.<br />This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side. |
| `docs`        | [Array of Objects](#docs-element-fields) | Represents a list of documents uploaded by the applicant.                                                                                                                                                                           |

## `docs` element fields

The following table explains the element fields of the `docs` array that represents a list of documents uploaded to the applicant profile.

| Field                    | Type                                       | Description                                                                                                                                                                              |
| :----------------------- | :----------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                     | String                                     | Unique document identifier.                                                                                                                                                              |
| `allDocsPresetName`      | String                                     | Preset that was used for [AllDocs verification](https://docs.sumsub.com/sumsub/docs/alldocs-verification).<br />Mind that presets are created and edited for you by Sumsub experts. You can view them in read-only mode. |
| `imageIds`               | Array of strings                           | Includes a list of identifiers for all uploaded documents.                                                                                                                               |
| `questionnaireId`        | String                                     | Unique identifier of the [questionnaire](https://docs.sumsub.com/sumsub/docs/questionnaire).                                                                                                                             |
| `questionnaireSectionId` | String                                     | Identifier of the questionnaire section that represents a separate [group of questions](https://docs.sumsub.com/sumsub/docs/questionnaire-get-started#add-questionnaire-section) added to the questionnaire..            |
| `questionnaireItemId`    | String                                     | Identifier of the questionnaire section item that stands for a [single question](https://docs.sumsub.com/sumsub/docs/questionnaire-get-started#add-question) added to the questionnaire.                                 |
| `fields`                 | [Array of objects](#fields-element-fields) | List of parameters and corresponding values that define the `allDocsPresetName` configuration.                                                                                           |

## `fields` element fields

The following table explains the elements of the `fields` array.

| Field    | Type             | Description                                                                                        |
| :------- | :--------------- | :------------------------------------------------------------------------------------------------- |
| `name`   | String           | Name of the field that stands for a parameter included into the `allDocsPresetName` configuration. |
| `values` | Array of strings | Value or values of the field with the corresponding `name`.                                        |

# Response example

```json
{
    "applicantId": "674d7e0e728e9476b1000ce0",
    "docs": [ // A list of documents.
        {
            "id": "674d7e2b738e9475b1566d14", // Document ID.
            "allDocsPresetName": "sourceOfFunds",
            "imageIds": [
                "1135780909"
            ],
            "questionnaireId": "sofWithCustomName",
            "questionnaireSectionId": "firstTitle",
            "questionnaireItemId": "sofImage",
            "fields": [ // Fields depend upon the 'allDocsPresetName' configuration.
                {
                    "name": "docType",
                    "values": [
                        "transferConfirmation"
                    ]
                },
                {
                    "name": "ownerName",
                    "values": [
                        "John Doe"
                    ]
                },
                {
                    "name": "issuedDate",
                    "values": [
                        "2023-04-03"
                    ]
                }
            ]
        }
    ]
} 
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/applicants/{applicantId}/allDocs/docs": {
      "get": {
        "summary": "Get AllDocs results by applicant ID",
        "description": "",
        "operationId": "get-alldocs-results-by-applicantid",
        "parameters": [
          {
            "name": "applicantId",
            "in": "path",
            "description": "Unique applicant identifier in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```